using AutoTurnOver.Models;
using System;
using System.Collections.Generic;
using System.Text;

namespace AutoTurnOver.Services
{
    /// <summary>
    /// 异常提醒
    /// </summary>
   public class ExceptionReminderServices
    {
        public IEnumerable<dc_auto_forecast_fluctuation_dto> List(dc_auto_forecast_fluctuation_search_dto data, int offset, int limit, ref int total, string order = "", string sort = "")
        {
            return DB.dc_auto_forecast_fluctuation.List(data, offset, limit, ref total, order, sort);
        }

        /// <summary>
        /// 获取安全库存规则设置详情
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public dc_auto_forecast_fluctuation Info(int id)
        {
            return DB.dc_auto_forecast_fluctuation.Info(id);
        }

        public void Confirm(dc_auto_forecast_fluctuation data,UserData user)
        {
             DB.dc_auto_forecast_fluctuation.Confirm(data, user);
        }
    }
}
